일 | 월 | 화 | 수 | 목 | 금 | 토 |
---|---|---|---|---|---|---|
1 | 2 | 3 | 4 | |||
5 | 6 | 7 | 8 | 9 | 10 | 11 |
12 | 13 | 14 | 15 | 16 | 17 | 18 |
19 | 20 | 21 | 22 | 23 | 24 | 25 |
26 | 27 | 28 | 29 | 30 | 31 |
- Unit Testing
- permutations
- SQL
- HTTP 완벽 가이드
- Q objects
- Django
- AWS
- combinations
- stateful
- stateless
- greedy
- algorithm
- stack&que
- Bruteforce
- ws
- TDD
- was
- 백준
- Programmers
- dictionary
- Query
- postreSQL
- codecov
- Python
- ORM
- Stack
- Git
- utils
- Gunicorn
- pytest
- Today
- Total
목록알고리즘 (32)
해피 코딩!
link 문제의 키 포인트 2 이상의 n이 입력되었을 때, n번째 피보나치 수를 1234567으로 나눈 나머지를 리턴하는 함수, solution을 완성해 주세요. def solution(n): answer = 0 a, b = 0, 1 for _ in range(n): a, b = b, a+b return a%1234567 1234567을 사용 한 이유 일반적인 프로그래밍 언어는 CPU에서 제공하는 최소 읽기 단위(word라고 하는 것으로 기억합니다)를 기준으로 변수의 범위를 지정합니다. 일반적인 x86 시스템(인텔이나 AMD가 만든 그거입니다)은 word의 크기가 4byte라고 가정하며, 그렇기 때문에 int라는 자료형은 -2,147,483,648 ~ 2,147,483,647까지의 값만을 표현할 수 있습..
BFS graph = { 'A': ['B'], 'B': ['A', 'C', 'H'], 'C': ['B', 'D'], 'D': ['C', 'E', 'G'], 'E': ['D', 'F'], 'F': ['E'], 'G': ['D'], 'H': ['B', 'I', 'J', 'M'], 'I': ['H'], 'J': [&..
link length, remove_point = map(int, input().split()) lst = [i for i in range(1, length+1)] answer = [] index = 1 while lst: if index == remove_point: answer.append(lst.pop(0)) index = 1 continue else: index+=1 lst.append(lst.pop(0)) result = '' print(result)
link value = 666 limit = int(input()) index = 0 while True: if '666' in str(value): index +=1 if index == limit: print(value) break value +=1
link def black_jack(value): lst = list(map(int, input().split(' '))) max_data =0 for index in range(len(lst)-2): for indent_1_index in range(index+1, len(lst)-1): for indent_2_index in range(indent_1_index+1, len(lst)): data = lst[index]+ lst[indent_1_index]+ lst[indent_2_index] if (data =max_data): max_data = data return max_data _, value = map(int, input().split(' ')) print(bla..
link length = int(input()) lst = [0]* length stack = [0] * length # 모든 값을 넣은다. for index, value in enumerate(lst): weight, height = map(int, input().split(' ')) lst[index] = weight, height # 비교 for index, value in enumerate(lst): rank = 1 for indent_1, indent_1_value in enumerate(lst): if index == indent_1: continue if (value[0] < indent_1_value[0]) and (value[1]
link def solution(priorities, location): answer = [] lst = [i for i in range(len(priorities))] while priorities: if priorities[0] == max(priorities): answer.append(lst.pop(0)) priorities.pop(0) else: lst.append(lst.pop(0)) priorities.append(priorities.pop(0)) return answer.index(location)+1